function output_image = applyFilter(img, type, args) %Apply the filter type to the image using arguments args
%type = int
%       0 = scaleRGB
%       1 = highpass or lowpass filter
%       2 = scaleHSV
%       3 = boldEdges
%       4 = pixelize
%       5 = contrast
%       6 = brightness
%args = double array
%       type0 = [r, g, b]
%       type1 = [type, s]
%       type2 = [h, s, v]
%       type3 = [t]
%       type4 = [s]
%       type5 = [a]
%       type6 = [b]

if type == 0
   output_image = scaleRGB(img, args(1), args(2), args(3));
end;

if type == 1
    output_image = passFilter(img, args(1), args(2));
end;

if type == 2
   output_image = scaleHSV(img, args(1), args(2), args(3));
end;

if type == 3
   output_image = boldEdges(img, args(1));
end;

if type == 4
    output_image = derez(img, args(1));
end;

if type == 5
    output_image = scaleContrast(img, args(1));
end;

if type == 6
    output_image = scaleBrightness(img, args(1));
end;