function im1_filtered = passFilter(img, type, s) %creates a high/low-pass filter on the image using a sigma value of s
%lowpass is also known as gaussian blur
%type = 0: lowpass
%       1: highpass

%im1 = im2single(imread('M:\landscape-water.jpg'));
img_single = im2single(img);

im1size = size(img_single);
dimensions = im1size(1:2);

blurfilter = fspecial('gaussian', dimensions, s);

im1_low = imfilter(img_single, blurfilter,'replicate');
if type == 0
    im1_filtered = im1_low;
    %figure(1), hold off, imagesc(im1_low), axis image
end;
if type == 1
    im1_filtered = min(1, max(0, img_single - im1_low));
    %figure(1), hold off, imagesc(im1_high), axis image
end;
    

