function im1_brightness = scaleBrightness(img, b) %increases/decreases brightness values in the image by a factor of b

% b = percent to increase contrast by
% if b is < 0, decrease brightness, should be between (-1, 0)
% if b is > 0, increase brightness, should be between (0, 1)

brightness = 0;
img_brightness = im2single(img);
if (b <= 0)
    brightness = min(1, b+1);
    im1_brightness = imadjust(img_brightness, [0 1], [0 brightness]);
end;
if (b >= 0)
    brightness = max(0, b);
    im1_brightness = imadjust(img_brightness, [0 1], [brightness 1]);
end;
