function im1_scaledHSV = scaleHSV(img, h, s, v) %increases HSV values in the image by a factor of h, s, v respectively

% read images and convert to single format
%im1 = im2single(imread('M:\landscape-water.jpg')); %this is a test image for now

img_single = im2single(img);
hsv_image = rgb2hsv(img_single);
im1H = hsv_image(:,:,1); %grab the Hue out of the HSV matrix
im1S = hsv_image(:,:,2);
im1V = hsv_image(:,:,3);

im1_scaledHSV = img_single;

im1_scaledHSV(:,:,1) = max(0.001, min(im1H*h, 1));
im1_scaledHSV(:,:,2) = max(0.001, min(im1S*s, 1));
im1_scaledHSV(:,:,3) = max(0.001, min(im1V*v, 1));

%figure(1), hold off, imagesc(im1_scaledHSV), axis image;